/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cviceni10.service;

import cviceni10.model.Osoba;
import java.util.List;
import java.util.UUID;
import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author nav79
 */
@Stateless
public class OsobaService implements IOsobaService {
    
    @PersistenceContext
    EntityManager em;
    
    public Osoba createOsoba(Osoba osoba) {
            em.persist(osoba);
            return osoba;
    }
    
    public Osoba updateOsoba(Osoba osoba) {
        return em.merge(osoba);        
    }
    
    public void deleteOsoba(UUID osobaId) {
        Osoba osoba = em.getReference(Osoba.class, osobaId);
        em.remove(osoba);
    }
    
    public List<Osoba> getOsoby() {
        return em.createQuery("select o from Osoba o").getResultList();
    }
}
